gio-0.13.6.0: Binding to GIO

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.GIO.Icons.Emblem

Contents

- Details
- Types
- Enums
- Methods

Description

Synopsis

- newtype Emblem = Emblem (ForeignPtr Emblem)
- class GObjectClass o => EmblemClass o
- data EmblemOrigin
  - = EmblemOriginUnknown
  - | EmblemOriginDevice
  - | EmblemOriginLivemetadata
  - | EmblemOriginTag
- emblemNew :: IconClass icon => icon -> IO Emblem
- emblemNewWithOrigin :: IconClass icon => icon -> EmblemOrigin -> IO Emblem
- emblemGetIcon :: EmblemClass emblem => emblem -> IO Icon
- emblemGetOrigin :: EmblemClass emblem => emblem -> IO EmblemOrigin

# Details

`Emblem` is an implementation of `Icon` that supports having an emblem, which is an icon with additional properties. It can than be added to a `EmblemedIcon`.

Currently, only metainformation about the emblem's origin is supported. More may be added in the future.

# Types

newtype Emblem Source #

Constructors

Emblem (ForeignPtr Emblem) |

Instances

Eq Emblem Source # |
Instance details Defined in System.GIO.Types Methods (==) :: Emblem -> Emblem -> Bool Source # (/=) :: Emblem -> Emblem -> Bool Source #
Ord Emblem Source # |
Instance details Defined in System.GIO.Types Methods compare :: Emblem -> Emblem -> Ordering Source # (<) :: Emblem -> Emblem -> Bool Source # (<=) :: Emblem -> Emblem -> Bool Source # (>) :: Emblem -> Emblem -> Bool Source # (>=) :: Emblem -> Emblem -> Bool Source # max :: Emblem -> Emblem -> Emblem Source # min :: Emblem -> Emblem -> Emblem Source #
GObjectClass Emblem Source # |
Instance details Defined in System.GIO.Types Methods toGObject :: Emblem -> GObject Source # unsafeCastGObject :: GObject -> Emblem Source #
EmblemClass Emblem Source # |
Instance details Defined in System.GIO.Types

class GObjectClass o => EmblemClass o Source #

Instances

EmblemClass Emblem Source # |
Instance details Defined in System.GIO.Types

# Enums

data EmblemOrigin Source #

`EmblemOrigin` is used to add information about the origin of the emblem to `Emblem`.

Constructors

EmblemOriginUnknown |
EmblemOriginDevice |
EmblemOriginLivemetadata |
EmblemOriginTag |

Instances

Bounded EmblemOrigin Source # |
Instance details Defined in System.GIO.Enums Methods minBound :: EmblemOrigin Source # maxBound :: EmblemOrigin Source #
Enum EmblemOrigin Source # |

Instance details

Defined in System.GIO.Enums

Methods

succ :: EmblemOrigin -> EmblemOrigin Source #

pred :: EmblemOrigin -> EmblemOrigin Source #

toEnum :: Int -> EmblemOrigin Source #

fromEnum :: EmblemOrigin -> Int Source #

enumFrom :: EmblemOrigin -> [EmblemOrigin] Source #

enumFromThen :: EmblemOrigin -> EmblemOrigin -> [EmblemOrigin] Source #

enumFromTo :: EmblemOrigin -> EmblemOrigin -> [EmblemOrigin] Source #

enumFromThenTo :: EmblemOrigin -> EmblemOrigin -> EmblemOrigin -> [EmblemOrigin] Source #

Eq EmblemOrigin Source # |
Instance details Defined in System.GIO.Enums Methods (==) :: EmblemOrigin -> EmblemOrigin -> Bool Source # (/=) :: EmblemOrigin -> EmblemOrigin -> Bool Source #
Ord EmblemOrigin Source # |

Instance details

Defined in System.GIO.Enums

Methods

compare :: EmblemOrigin -> EmblemOrigin -> Ordering Source #

(<) :: EmblemOrigin -> EmblemOrigin -> Bool Source #

(<=) :: EmblemOrigin -> EmblemOrigin -> Bool Source #

(>) :: EmblemOrigin -> EmblemOrigin -> Bool Source #

(>=) :: EmblemOrigin -> EmblemOrigin -> Bool Source #

max :: EmblemOrigin -> EmblemOrigin -> EmblemOrigin Source #

min :: EmblemOrigin -> EmblemOrigin -> EmblemOrigin Source #

Show EmblemOrigin Source # |
Instance details Defined in System.GIO.Enums Methods showsPrec :: Int -> EmblemOrigin -> ShowS Source # show :: EmblemOrigin -> String Source # showList :: [EmblemOrigin] -> ShowS Source #

# Methods

emblemNew :: IconClass icon => icon -> IO Emblem Source #

Creates a new emblem for icon.

emblemNewWithOrigin Source #

Arguments

:: IconClass icon |
=> icon | `icon` a `Icon` containing the icon.
-> EmblemOrigin | `origin` a `EmblemOrigin` enum defining the emblem's origin
-> IO Emblem |

Creates a new emblem for icon.

emblemGetIcon Source #

Arguments

:: EmblemClass emblem |
=> emblem | `emblem` a `Emblem` from which the icon should be extracted.
-> IO Icon | returns a `Icon`. The returned object belongs to the emblem and should not be modified or freed.

Gives back the icon from emblem.

emblemGetOrigin :: EmblemClass emblem => emblem -> IO EmblemOrigin Source #

Gets the origin of the emblem.